# Uses of Class
org.springframework.web.servlet.mvc.HttpRequestHandlerAdapter

Packages that use HttpRequestHandlerAdapter
Package
Description
org.springframework.web.servlet.config.annotation
Annotation-based setup for Spring MVC.

## Uses of HttpRequestHandlerAdapter in org.springframework.web.servlet.config.annotation

Methods in org.springframework.web.servlet.config.annotation that return HttpRequestHandlerAdapter
Modifier and Type
Method
Description
`HttpRequestHandlerAdapter`
WebMvcConfigurationSupport.`httpRequestHandlerAdapter()`
Returns a `HttpRequestHandlerAdapter` for processing requests with `HttpRequestHandlers`.